server {
    server_name api.diluv.io;

    listen 80;
    listen [::]:80;

    root /var/www/letsencrypt;
    location /.well-known {
        try_files $uri /;
    }

    location / {
        return 301 https://$server_name$request_uri;
    }
}

server {
    server_name api.diluv.io;

    listen 443 http2;
    listen [::]:443 http2;
    add_header Strict-Transport-Security "max-age=31536000; includeSubDomains; preload";
    add_header Public-Key-Pins 'pin-sha256="C5+lpZ7tcVwmwQIMcRtPbsQtWLABXhQzejna0wHFr8M="; pin-sha256="jQJTbIh0grw0/1TkHSumWb+Fs0Ggogr621gT3PvPKG0="; pin-sha256="5VReIRNHJBiRxVSgOTTN6bdJZkpZ0m1hX+WPd5kPLQM="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; pin-sha256="noCQrs1qozwlji1bDn9ysi9TBb+tXhZRFEtoTJgfFy4="; max-age=5184000; includeSubDomains';

    ssl on;
    ssl_certificate /etc/letsencrypt/live/api.diluv.io/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/api.diluv.io/privkey.pem;
    ssl_trusted_certificate /etc/letsencrypt/live/api.diluv.io/chain.pem;

    location / {
        root /var/www/api.diluv.io/docs;
	try_files $uri $uri/ @proxyapi;
    }

    location @proxyapi {
	proxy_pass http://127.0.0.1:8181;
    }

    location /v1/auth/register {
        return 404;
    }
}
