server {
    server_name blog.diluv.com;

    listen 80;
    listen [::]:80;

    root /var/www/letsencrypt;
    location /.well-known {
        try_files $uri /;
    }

    location / {
        return 301 https://$server_name$request_uri;
    }
}

server {
    server_name blog.diluv.com;

    listen 443 http2;
    listen [::]:443 http2;
    add_header Strict-Transport-Security "max-age=31536000; includeSubDomains; preload";
    add_header Public-Key-Pins 'pin-sha256="YLh1dUR9y6Kja30RrAn7JKnbQG/uEtLMkBgFF2Fuihg="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; max-age=5184000; includeSubDomains';

    ssl on;
    ssl_certificate /etc/letsencrypt/live/blog.diluv.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/blog.diluv.com/privkey.pem;
    ssl_trusted_certificate /etc/letsencrypt/live/blog.diluv.com/chain.pem;

    location / {
	proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header HOST $host;
        proxy_set_header X-NginX-Proxy true;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
	proxy_pass http://127.0.0.1:2368;
    }
}
