server {
    server_name dev.diluv.io;

    listen 80;
    listen [::]:80;

    root /var/www/letsencrypt;
    location /.well-known {
        try_files $uri /;
    }

    location / {
        return 301 https://$server_name$request_uri;
    }
}

server {
    server_name dev.diluv.io;

    listen 443 http2;
    listen [::]:443 http2;
    add_header Strict-Transport-Security "max-age=31536000; includeSubDomains; preload";
    add_header Public-Key-Pins 'pin-sha256="YLh1dUR9y6Kja30RrAn7JKnbQG/uEtLMkBgFF2Fuihg="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; max-age=5184000; includeSubDomains';

    ssl on;
    ssl_certificate /etc/letsencrypt/live/dev.diluv.io/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/dev.diluv.io/privkey.pem;
    ssl_trusted_certificate /etc/letsencrypt/live/dev.diluv.io/chain.pem;

    root /var/www/dev.diluv.io;

    location / {
        index index.html;
        try_files $uri /index.html;
        expires 1m;
    }

    location /register {
        return 404;
    }
}
