server {
    server_name expo.mcmoddev.com;

    listen 80;
    listen [::]:80;

    root /var/www/expo.mcmoddev.com;
    index index.php index.html;

    error_page 404 /404.html;

    location / {
        try_files $uri $uri/ =404;
    }

    location ~ \.php$ {
        try_files $uri =404;
	fastcgi_split_path_info ^(.+\.php)(/.+)$;
	fastcgi_pass unix:/var/run/php7.4-fpm.sock;
	fastcgi_index index.php;
        fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
	include /etc/nginx/fastcgi_params;
    }
}

server {
    server_name expo.mcmoddev.com;

    listen 443;
    listen [::]:443;
    add_header Strict-Transport-Security "max-age=31536000";

    ssl on;
    ssl_certificate /etc/letsencrypt/live/maven.mcmoddev.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/maven.mcmoddev.com/privkey.pem;
    ssl_trusted_certificate /etc/letsencrypt/live/maven.mcmoddev.com/chain.pem;

    root /var/www/expo.mcmoddev.com;
    index index.php index.html;

    error_page 404 /404.html;

    location / {
        try_files $uri $uri/ =404;
    }

    location ~ \.php$ {
        try_files $uri =404;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php7.4-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
        include /etc/nginx/fastcgi_params;
    }
}
