server {
    server_name maven.diluv.com;

    listen 80;
    listen [::]:80;
    root /var/www/letsencrypt;
    location /.well-known {
        try_files $uri /;
    }

    location / {
        return 301 https://$server_name$request_uri;
    }
}

server {
    server_name maven.diluv.com;

    listen 443 http2;
    listen [::]:443 http2;
    add_header Strict-Transport-Security "max-age=31536000";
    add_header Public-Key-Pins 'pin-sha256="YLh1dUR9y6Kja30RrAn7JKnbQG/uEtLMkBgFF2Fuihg="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; max-age=5184000; includeSubDomains';
    ssl on;
#   ssl_ciphers 'EECDH+AES256GCM:EDH+AES256GCM:AES256+EECDH:AES256+EDH:AES128+EECDH:AES128+EDH';
    ssl_certificate /etc/letsencrypt/live/maven.diluv.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/maven.diluv.com/privkey.pem;
    ssl_trusted_certificate /etc/letsencrypt/live/maven.diluv.com/chain.pem;

    root /var/www/maven.diluv.com;
    index index.html index.php /_h5ai/public/index.php;

    location / {
        try_files $uri $uri/ =404;
    }

    location ~ \.php$ {
        try_files $uri =404;
        fastcgi_pass unix:/run/php/php7.4-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        include fastcgi_params;
    }
}
