server {
    server_name minecraft.diluv.com;

    listen 80;
    listen [::]:80;

    root /var/www/letsencrypt;
    location /.well-known {
        try_files $uri /;
    }
    location / {
        return 301 https://$server_name$request_uri;
    }
}
server {
    server_name minecraft.diluv.com;

    listen 443 http2;
    listen [::]:443 http2;

    add_header Strict-Transport-Security "max-age=31536000";
    add_header Public-Key-Pins 'pin-sha256="YLh1dUR9y6Kja30RrAn7JKnbQG/uEtLMkBgFF2Fuihg="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; max-age=5184000; includeSubDomains';

    ssl on;
    ssl_certificate /etc/letsencrypt/live/diluv.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/diluv.com/privkey.pem;

    return 301 https://diluv.com/;
}
