server {
    listen 80;
    listen [::]:80;
    server_name panel.mcmoddev.com;
    
    root "/var/www/panel.mcmoddev.com/public";
    index index.html index.htm index.php;
    charset utf-8;

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location = /favicon.ico { access_log off; log_not_found off; }
    location = /robots.txt  { access_log off; log_not_found off; }

    access_log off;
    error_log  /var/log/nginx/pterodactyl.app-error.log error;

  	# allow larger file uploads and longer script runtimes
 		client_max_body_size 100m;
  	client_body_timeout 120s;
  
    sendfile off;

    location ~ \.php$ {
                try_files $uri =404;
                fastcgi_pass unix:/run/php/php7.4-fpm.sock;
                fastcgi_index index.php;
                fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
                include fastcgi_params;
    }

    location ~ /\.ht {
        deny all;
    }
}
