server {
    server_name ci.mcmoddev.com;

    listen 80;
    listen [::]:80;

    return 301 https://$server_name$request_uri;
}

server {
    server_name ci.mcmoddev.com;

    listen 443 http2;
    listen [::]:443 http2;

    # HSTS
    add_header Strict-Transport-Security "max-age=31536000";

    # HPKP
    add_header Public-Key-Pins 'pin-sha256="C5+lpZ7tcVwmwQIMcRtPbsQtWLABXhQzejna0wHFr8M="; pin-sha256="jQJTbIh0grw0/1TkHSumWb+Fs0Ggogr621gT3PvPKG0="; pin-sha256="5VReIRNHJBiRxVSgOTTN6bdJZkpZ0m1hX+WPd5kPLQM="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; pin-sha256="noCQrs1qozwlji1bDn9ysi9TBb+tXhZRFEtoTJgfFy4="; max-age=5184000; includeSubDomains';

    ssl on;
    # RSA
    ssl_certificate /etc/letsencrypt/live/ci.mcmoddev.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/ci.mcmoddev.com/privkey.pem;
    # ECDSA
    ssl_certificate /etc/letsencrypt/ci.mcmoddev.com_ecc/fullchain.cer;
    ssl_certificate_key /etc/letsencrypt/ci.mcmoddev.com_ecc/ci.mcmoddev.com.key;

    ssl_trusted_certificate /etc/letsencrypt/live/ci.mcmoddev.com/chain.pem;

    location / {
        proxy_set_header        Host $host:$server_port;
        proxy_set_header        X-Real-IP $remote_addr;
        proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header        X-Forwarded-Proto $scheme;

        proxy_pass              http://127.0.0.1:8080;
        proxy_read_timeout      90;
        proxy_redirect          http://127.0.0.1:8080 https://ci.maven.mcmoddev.com;
    }
}
