server {
    server_name dev.mcmoddev.com;

    listen 80;
    listen [::]:80;

    root /var/www/dev.mcmoddev.com;
    index index.php index.html index.htm;

    auth_basic "MMD Dev File Server Access";
    auth_basic_user_file /etc/nginx/htpasswd/mcmoddev.htpasswd;

    location / {
        try_files $uri $uri/ =404;
    }

    location ~ \.php$ {
        try_files $uri =404;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php7.4-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        include fastcgi_params;
    }
}

server {
    server_name dev.mcmoddev.com;

    listen 443;
    listen [::]:443;
    add_header Strict-Transport-Security "max-age=31536000";
    add_header Public-Key-Pins 'pin-sha256="YLh1dUR9y6Kja30RrAn7JKnbQG/uEtLMkBgFF2Fuihg="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; max-age=5184000; includeSubDomains';
    add_header Public-Key-Pins 'pin-sha256="C5+lpZ7tcVwmwQIMcRtPbsQtWLABXhQzejna0wHFr8M="; pin-sha256="jQJTbIh0grw0/1TkHSumWb+Fs0Ggogr621gT3PvPKG0="; pin-sha256="5VReIRNHJBiRxVSgOTTN6bdJZkpZ0m1hX+WPd5kPLQM="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; pin-sha256="noCQrs1qozwlji1bDn9ysi9TBb+tXhZRFEtoTJgfFy4="; max-age=5184000; includeSubDomains';

#    ssl on;
#    ssl_certificate /etc/nginx/ssl/dev.mcmoddev.com.crt;
#    ssl_certificate_key /etc/nginx/ssl/dev.mcmoddev.com.key;

    root /var/www/dev.mcmoddev.com;
    index index.php index.html index.htm;

    auth_basic "MMD Dev File Server Access";
    auth_basic_user_file /etc/nginx/htpasswd/mcmoddev.htpasswd;

    location / {
        try_files $uri $uri/ =404;
    }

    location ~ \.php$ {
        try_files $uri =404;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php7.4-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        include fastcgi_params;
    }
}
