server {
    server_name discord.mcmoddev.com;

    listen 80;
    listen [::]:80;

    return 301 https://discordapp.com/invite/EDbExcX;
}
server {
    server_name discord.mcmoddev.com;

    listen 443 http2;
    listen [::]:443 http2;
    return 301 https://discordapp.com/invite/EDbExcX;

    # HSTS
    add_header Strict-Transport-Security "max-age=31536000";

    # HPKP
    add_header Public-Key-Pins 'pin-sha256="C5+lpZ7tcVwmwQIMcRtPbsQtWLABXhQzejna0wHFr8M="; pin-sha256="jQJTbIh0grw0/1TkHSumWb+Fs0Ggogr621gT3PvPKG0="; pin-sha256="5VReIRNHJBiRxVSgOTTN6bdJZkpZ0m1hX+WPd5kPLQM="; pin-sha256="Vjs8r4z+80wjNcr1YKepWQboSIRi63WsWXhIMN+eWys="; pin-sha256="noCQrs1qozwlji1bDn9ysi9TBb+tXhZRFEtoTJgfFy4="; max-age=5184000; includeSubDomains';

    ssl on;
    # RSA
    ssl_certificate /etc/letsencrypt/live/discord.mcmoddev.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/discord.mcmoddev.com/privkey.pem;
    # ECDSA
    ssl_certificate /etc/letsencrypt/discord.mcmoddev.com_ecc/fullchain.cer;
    ssl_certificate_key /etc/letsencrypt/discord.mcmoddev.com_ecc/discord.mcmoddev.com.key;

    ssl_trusted_certificate /etc/letsencrypt/live/discord.mcmoddev.com/chain.pem;
}
